<?php

namespace Src\Modules\Auth\Interfaces\Infrastructure\Storage;

use Src\Modules\Auth\Interfaces\Infrastructure\Queries\IAdminsQuery;

interface IAdminsStorage {
    public function setAdminsQuery(IAdminsQuery $query):void;
    public function getById(string $id, array $dsl = []):array;
    public function getByEmail(string $email, array $dsl = []):array;
    public function getList(int $limit, int $offset, array $dsl = []):array;
    public function getCount(): int;
}